View Issue Details

IDProjectCategoryView StatusLast Update
0003131CentOS-4kernelpublic2009-08-06 15:18
Reporterwagnerch Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.7 
Fixed in Version4.7 
Summary0003131: kernel-2.6.9-78.0.1 panics when unloading iptables (via service iptables stop or shutdown)
DescriptionThe issue arises when you are either doing 'service iptables stop' or shutting down the system. This is normally when the module is unloaded, and then causes the kernel to panic.

This issue is addressed by bz456664 on Red Hat's site. The bug includes a patch that I have confirmed resolves the issue, see https://bugzilla.redhat.com/show_bug.cgi?id=456664

I am submitting this bug so that other users can use this ticket as a reference if they need to resolve the issue on their own, or CentOS may elect to publish their own fix ahead of Red Hat (which appears that fix may be in 4.8).
TagsNo tags attached.

Relationships

has duplicate 0003141 closedJohnnyHughes CentOS-4 Kernel OOps 
has duplicate 0003169 resolvedJohnnyHughes CentOS-4 Stopping iptables crashes kernel 
has duplicate 0003250 closedkbsingh@karan.org CentOS-5 Restarting the iptables service caused a kernel panic 
has duplicate 0003697 resolvedJohnnyHughes CentOS-4 Kernel panic on iptables reload 

Activities

al750n

al750n

2008-09-18 02:50

reporter   ~0008013

I also found this problem when restarting iptables. For faster resolution, I switch back to kernel 2.6.9-67.0.22.EL ..

Sep 18 08:25:33 melinda kernel: *pde = 37f11067
Sep 18 08:25:33 melinda kernel: Oops: 0000 [#1]
Sep 18 08:25:33 melinda kernel: Modules linked in: md5 ipv6 ip_conntrack dm_mirror dm_mod button battery ac snd_intel8x0 snd_a
c97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore
8139cp 8139too mii ata_piix libata scsi_mod ext3 jbd
Sep 18 08:25:33 melinda kernel: CPU: 0
Sep 18 08:25:33 melinda kernel: EIP: 0060:[<c02d4877>] Not tainted VLI
Sep 18 08:25:33 melinda kernel: EFLAGS: 00010212 (2.6.9-78.0.1.EL)
Sep 18 08:25:33 melinda kernel: EIP is at nf_unregister_sockopt+0x47/0x81
Sep 18 08:25:33 melinda kernel: eax: 00000002 ebx: c03a2020 ecx: f7c6d5e0 edx: f8908160
Sep 18 08:25:33 melinda kernel: esi: f8a72380 edi: 00000000 ebp: f5c82000 esp: f5c82f5c
Sep 18 08:25:33 melinda kernel: ds: 007b es: 007b ss: 0068
Sep 18 08:25:33 melinda kernel: Process modprobe (pid: 3079, threadinfo=f5c82000 task=f5d1b7f0)
Sep 18 08:25:34 melinda kernel: Stack: 00000000 c037d800 f8a69732 f8a72880 c014030d 00000000 635f7069 746e6e6f
Sep 18 08:25:34 melinda kernel: 6b636172 00000000 f63a7100 b7f70000 b7f71000 c01602d6 f63a7100 f63b05b8
Sep 18 08:25:34 melinda kernel: c016067b f63b075c f63a7100 f63a7130 00000000 f5c82000 091e9180 00000000
Sep 18 08:25:34 melinda kernel: Call Trace:
Sep 18 08:25:34 melinda kernel: [<f8a69732>] init_or_cleanup+0x1e6/0x1ea [ip_conntrack]
Sep 18 08:25:34 melinda kernel: [<c014030d>] sys_delete_module+0x139/0x180
Sep 18 08:25:34 melinda kernel: [<c01602d6>] unmap_vma_list+0xe/0x17
Sep 18 08:25:34 melinda kernel: [<c016067b>] do_munmap+0x1a7/0x1b1
Sep 18 08:25:34 melinda kernel: [<c0327973>] syscall_call+0x7/0xb
Sep 18 08:25:34 melinda kernel: Code: 17 05 00 89 d9 ff 0d 20 20 3a c0 0f 88 40 0d 00 00 8b 0d 48 20 3a c0 8b 01 0f 18 00 90 8
1 f9 48 20 3a c0 74 2f 8b 51 08 8b 46 08 <39> 42 08 8b 11 75 1e 8b 41 04 89 42 04 89 10 89 c8 c7 01 00 01
Sep 18 08:25:34 melinda kernel: <0>Fatal exception: panic in 5 seconds
toracat

toracat

2008-09-18 04:53

manager   ~0008014

Or you can try a quick fix offered in comment #24 of the bugzilla mentioned by the original poster. It does not require kernel rebuilding, and at least one person reported in the forum that it worked for him. See:

http://www.centos.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=16298&forum=27
cbell

cbell

2009-03-25 18:48

reporter   ~0008938

Red Hat has released an updated kernel package with a bug fix for this issue (and others): kernel-2.6.9-78.0.17.EL.src.rpm

The advisory and links are at:
http://rhn.redhat.com/errata/RHSA-2009-0331.html

RH Bug (for the updated kernel release):
https://bugzilla.redhat.com/show_bug.cgi?id=477147
toracat

toracat

2009-08-06 15:18

manager   ~0009722

Fixed in 2.6.9-78.0.17 as reported by cbell.

Issue History

Date Modified Username Field Change
2008-09-13 23:47 wagnerch New Issue
2008-09-18 02:50 al750n Note Added: 0008013
2008-09-18 04:53 toracat Note Added: 0008014
2008-09-18 08:53 user430 Relationship added has duplicate 0003141
2008-10-02 19:39 toracat Relationship added has duplicate 0003169
2008-11-19 13:42 user430 Relationship added has duplicate 0003250
2009-03-25 18:48 cbell Note Added: 0008938
2009-06-19 17:22 user430 Relationship added has duplicate 0003697
2009-08-06 15:18 toracat Note Added: 0009722
2009-08-06 15:18 toracat Status new => resolved
2009-08-06 15:18 toracat Resolution open => fixed
2009-08-06 15:18 toracat Fixed in Version => 4.7